Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- !
- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - h -

- H : md5.c , rmd160.c
- h_conv() : nkf.c
- h_trunc() : date_core.c
- HALF_BASE : bigdecimal.c
- half_days_in_day : date_core.c
- HALF_DAYS_IN_SECONDS : date_core.c
- halfBase : generator.h
- halfMask : generator.h
- halfShift : generator.h
- handle_interrupt_arg_check_i() : thread.c
- handle_interrupt_timing : thread.c
- has_free_object : gc.c
- has_ivars : marshal.c
- has_magic() : dir.c
- has_orig_exit : tcltklib.c
- has_redirection() : win32.c
- has_unc : file.c
- hash : tkutil.c
- hash2named_arg() : win32ole.c
- hash2ptr_dispparams() : win32ole.c
- hash2result() : win32ole.c
- hash_alloc() : hash.c
- hash_aset() : hash.c
- hash_aset_str() : hash.c
- hash_data_type : regint.h
- hash_default_value() : hash.c
- HASH_DELETED : hash.c
- hash_each() : marshal.c
- hash_equal() : hash.c
- hash_fallback : transcode.c
- hash_foreach_call() : hash.c
- hash_foreach_ensure() : hash.c
- hash_foreach_iter() : hash.c
- hash_i() : hash.c
- HASH_PROC_DEFAULT : hash.c
- HASH_REDEFINED_OP_FLAG : vm_insnhelper.h
- hash_table_type : regint.h
- HashDataType : regparse.c
- hashseed : random.c
- HAVE_ALPHA : date_parse.c
- HAVE_BACKTRACE : vm_dump.c
- HAVE_BN_GENCB : ossl_pkey.h
- HAVE_CIVIL : date_core.c
- have_civil_p : date_core.c
- HAVE_DASH : date_parse.c
- HAVE_DF : date_core.c
- have_df_p : date_core.c
- HAVE_DIGIT : date_parse.c
- HAVE_DOT : date_parse.c
- HAVE_ELEM_P : date_parse.c
- HAVE_FSEEKO : win32.h
- HAVE_FTELLO : win32.h
- HAVE_FTRUNCATE : win32.h
- HAVE_INFINITY : ripper.y
- HAVE_JD : date_core.c
- have_jd_p : date_core.c
- HAVE_LANGINFO_H : nkf.h
- HAVE_LOCALE_H : nkf.h
- HAVE_METACLASS_P : class.c
- HAVE_NAN : ripper.y
- HAVE_NATIVETHREAD : ripper.y , ruby.h
- HAVE_RB_DATA_TYPE_T_FUNCTION : ripper.y , ruby.h
- HAVE_RB_DATA_TYPE_T_PARENT : ripper.y , ruby.h
- HAVE_RB_DEFINE_ALLOC_FUNC : ripper.y , intern.h
- HAVE_RB_IO_T : io.h
- HAVE_RB_REG_NEW_STR : ripper.y , intern.h
- HAVE_RB_SCAN_ARGS_OPTIONAL_HASH : ripper.y , ruby.h
- have_rb_thread_waiting_for_value : tcltklib.c
- HAVE_RUBY_DEFINES_H : ruby.h
- HAVE_RUBY_ENCODING_H : ruby.h
- HAVE_RUBY_INTERN_H : ruby.h
- HAVE_RUBY_IO_H : ruby.h
- HAVE_RUBY_MISSING_H : ruby.h
- HAVE_RUBY_ONIGURUMA_H : ruby.h
- HAVE_RUBY_RE_H : ruby.h
- HAVE_RUBY_REGEX_H : ruby.h
- HAVE_RUBY_RUBY_H : ruby.h
- HAVE_RUBY_ST_H : ruby.h
- HAVE_RUBY_THREAD_H : ruby.h
- HAVE_RUBY_UTIL_H : ruby.h
- HAVE_RUBY_VERSION_H : ruby.h
- HAVE_RUBY_VM_H : ruby.h
- HAVE_SLASH : date_parse.c
- HAVE_TIME : date_core.c
- have_time_p : date_core.c
- HAVE_TRUNCATE : win32.h
- HAVE_TYPE_RB_DATA_TYPE_T : ripper.y , ruby.h
- head : st.c
- HEAP_ALIGN : gc.c
- HEAP_ALIGN_LOG : gc.c
- HEAP_ALIGN_MASK : gc.c
- HEAP_BITMAP_LIMIT : gc.c
- HEAP_CLASS_OF : vm_insnhelper.h
- HEAP_HEADER : gc.c
- HEAP_MIN_SLOTS : gc.c
- HEAP_OBJ_LIMIT : gc.c
- HEAP_SIZE : gc.c
- HEAPCNT : ripper.y , ripper.c , parse.c , parse.y
- heaps : gc.c
- heaps_freed : gc.c
- heaps_inc : gc.c
- heaps_increment() : gc.c
- heaps_length : gc.c
- heaps_used : gc.c
- HELP_OUTPUT : nkf.h
- here_document : parse.c , ripper.c , ripper.y , parse.y
- heredoc_end : parse.c , ripper.c , ripper.y , parse.y
- heredoc_identifier : parse.y , parse.c , ripper.c , ripper.y
- heredoc_restore : parse.c , ripper.c , ripper.y , parse.y
- hex2bin : nkf.c
- hex2num() : pack.c
- hex_getc() : nkf.c
- hex_table : pack.c
- hexencode_str_new() : digest.c
- HEXPREFIX : vsnprintf.c
- HH : rmd160.c
- HHH : rmd160.c
- hi : siphash.c
- hi0bits() : util.c
- hidden_identity_hash_new() : eval.c
- hidden_obj_p : iseq.c
- hide_obj : compile.c , process.c
- himem : gc.c
- hira_conv() : nkf.c
- hira_f : nkf.c
- hist_clear : readline.c
- hist_delete_at() : readline.c
- hist_each() : readline.c
- hist_empty_p() : readline.c
- hist_get() : readline.c
- hist_length() : readline.c
- hist_pop() : readline.c
- hist_push() : readline.c
- hist_push_method() : readline.c
- hist_set : readline.c
- hist_shift() : readline.c
- hist_to_s() : readline.c
- history_get_offset_0() : readline.c
- history_get_offset_func : readline.c
- history_get_offset_history_base() : readline.c
- history_replace_offset_func : readline.c
- HMAC_CTX_cleanup() : openssl_missing.h , openssl_missing.c
- HMAC_CTX_copy() : openssl_missing.c , openssl_missing.h
- HMAC_CTX_init() : openssl_missing.c , openssl_missing.h
- hmac_final() : ossl_hmac.c
- HMAC_Init_ex : openssl_missing.h
- hold_buf : nkf.c
- hold_count : nkf.c
- HOLD_SIZE : nkf.c
- home_dir() : file.c
- host_str() : raddrinfo.c
- HOUR_IN_SECONDS : date_core.c
- HOUR_SHIFT : date_core.c
- HOUR_WIDTH : date_core.c
- HRESULT() : win32ole.c
- HTOND : pack.c
- HTONF : pack.c
- HTOVD : pack.c
- HTOVF : pack.c
- httpdate_type1() : date_parse.c
- httpdate_type1_cb() : date_parse.c
- httpdate_type2() : date_parse.c
- httpdate_type2_cb() : date_parse.c
- httpdate_type3() : date_parse.c
- httpdate_type3_cb() : date_parse.c
- hval : lex.c
- HWND : win32ole.c
- hypot() : hypot.c , ripper.y , missing.h